### Method

# Fwupd Remote load_signature

#### Declaration [src]

    gboolean
    fwupd_remote_load_signature (
      FwupdRemote* self,
      const gchar* filename,
      GError** error
    )

#### Description [src]

Parses the signature, updating the metadata URI as appropriate.

Available since: | 1.4.0

#### Parameters

`filename` | `const gchar*`
| A filename.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.